Skip to main content
POST
/
v1
/
loans
/
schedule-call
Schedule Call
curl --request POST \
  --url https://sandbox-api.itscovered.com/lenders/v1/loans/schedule-call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "loanId": "693f2f46-69ff-4f20-a4d9-abe982d34fd4",
  "phoneNumber": "1234567890",
  "scheduledAt": "2022-01-01T00:00:00.000Z"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

JWT Token

Body

Request to schedule a call, regarding a loan application

loanId
string<uuid>
required

Loan ID to schedule a call for

Example:

"693f2f46-69ff-4f20-a4d9-abe982d34fd4"

phoneNumber
string
required

The phone number to schedule the call for

Example:

"1234567890"

scheduledAt
string<date-time>
required

The date and time to schedule the call for in UTC

Example:

"2022-01-01T00:00:00.000Z"

Response

Response for schedule call request

success
boolean
required
Example:

true